/* ================= ROOT HEADER ================= */
.Header {
  position: sticky;
  top: 0;
  z-index: 999;
  width: 100%;
  background: #ffffff;
  box-shadow: 0px 3px 6px #00000029;
}

.mobile_menu_offcanvas .mobile_menu_column.mega_column {
  max-height: 219px;
  overflow: hidden;
  overflow-y: auto;
  margin-bottom: 5px;
}

.mobile_menu_offcanvas .accordion-body {
  padding-top: 5px;
  background: #fff8f6;
  max-height: 500px;
  overflow: hidden;
  overflow-y: auto;
}

.Header .mega_menu_right {
  left: auto !important;
  right: 0 !important;
}
/* ================= TOP BAR ================= */
.Header .top_header {
  padding: 6px 0;
  font-size: 14px;
  color: #2d2d2d;
  font-weight: 500;
  background: #fff;
}
.Header .top_header .top_header_inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* ================= MAIN HEADER ================= */
.Header .Header_holder {
  background: #ffffff;
}

.Header .Header_holder .navbar {
  flex-wrap: nowrap;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #ee4823;
  padding: 0px;
}
/* ================= LOGO ================= */

.Header .navbar-brand {
  padding: 0px;
}

.Header .logo_img_holder {
  height: 80px;
  padding-top: var(--bs-navbar-brand-padding-y);
  padding-bottom: var(--bs-navbar-brand-padding-y);
  align-items: center;
  display: flex;
  width: 170px;
}
.Header .logo_img_holder .logo_img {
  height: 100%;
  width: 100%;
  object-fit: contain;
}

/* ================= RIGHT SECTION ================= */
/* ================= ICON BLOCK ================= */
.Header .header_icon_search_holder {
  display: flex;
  align-items: center;
  gap: 10px;
}

/* EACH ICON ITEM */
.Header .header_icon_search_holder .icon_item {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  cursor: pointer;
  background: #f5f5f5;
  /* width: 100%; */
  display: flex;
  justify-content: center;
  align-items: center;
  height: 67px;
  aspect-ratio: 1/1;
  padding: 2px 20px;
  border-radius: 2px;
}

.Header .header_icon_search_holder .icon_item:hover {
  background: #c8c8c8;
}

.Header .header_icon_search_holder .icon_item:active,
.Header .header_icon_search_holder .icon_item.active {
  background: #fee0d9;
}
/* ICON */

.Header .header_icon_search_holder .icon_item .header_icon_holder {
  position: relative;
}
.Header .header_icon_search_holder .icon_item .header_icon {
  font-size: 22px;
  color: #2d2d2d;
  transition: 0.3s;
}

.Header .header_icon_search_holder .icon_item:hover .header_icon {
  /* color: #ee4823; */
}

/* LABEL TEXT */
.Header .header_icon_search_holder .icon_item .icon_label {
  font-size: 14px;
  color: #2d2d2d;
  font-weight: 500;
  margin-top: 2px;
  white-space: nowrap;
}

/* CART BADGE */
.Header .header_icon_search_holder .cart_icon_holder .circle_badge_holder {
  position: absolute;
  top: -10px;
  right: 0px;
  background: #ee4823;
  color: #fff;
  font-size: 10px;
  padding: 2px 6px;
  border-radius: 50%;
}
/* ================= SEARCH SECTION ================= */
.Header .header_search_holder {
  display: flex;
  align-items: center;
  width: 700px;
  border-radius: 50px;
  background: #f5f5f5;
  /* overflow: hidden; */
  border-radius: 50px 50px;
}

/* LARGE */
.Header .header_search_holder .search-dropdown-wrapper {
  width: 100%;
}

/* CATEGORY DROPDOWN */
.Header .header_search_holder .category_dropdown {
  background: #f5f5f5;
  border: none;
  padding: 12px 14px;
  border-radius: 50px 0 0 50px;
  font-size: 14px;
  color: #333;
  outline: none;
  cursor: pointer;
}

/* SEARCH WRAPPER */

/* SEARCH INPUT */
.Header .header_search_holder .searchbar_holder {
  background: #f5f5f5;
  border-radius: 0;
  width: 100%;
  border-radius: 50px 50px;
  overflow: hidden;
}

.Header .header_search_holder .searchbar_holder .form-control {
  border: none;
  background: transparent;
  padding: 12px 20px !important;
  font-size: 14px;
  box-shadow: none;
  margin-bottom: 0px;
  border-radius: 50px 50px;
}

.Header .header_search_holder .searchbar_holder .form-control:focus {
  box-shadow: none;
  outline: none;
}

.Header .header_search_holder .search_btn {
  background: #ee4823;
  color: #fff;
  border: none;
  padding: 11px 24px;
  border-radius: 0 50px 50px 0;
  font-size: 15px;
  font-weight: 400;
  cursor: pointer;
  transition: 0.3s;
}

.Header .header_search_holder .search_btn:hover {
  background: #d93d1b;
}

/* ================= DROPDOWN ================= */
.Header
  .header_search_holder
  .search-dropdown-wrapper
  .search-dropdown
  .dropdown-menu {
  width: 100%;
  margin-top: 5px;
  border-radius: 10px;
  border: 1px solid #eee;
  max-height: 250px;
  overflow-y: auto;
}

.Header
  .header_search_holder
  .search-dropdown-wrapper
  .search-dropdown
  .dropdown-item {
  font-size: 14px;
  padding: 10px;
}

.Header
  .header_search_holder
  .search-dropdown-wrapper
  .search-dropdown
  .dropdown-item:hover {
  background: #f5f5f5;
}

/* ================= ICONS ================= */
.Header .header_icon {
  font-size: 22px;
  color: #747474;
  margin: 0 10px;
  cursor: pointer;
  transition: 0.3s;
}

.Header .header_icon:hover {
  color: #ee4823;
}

/* ================= CART ================= */
.Header .header_search_holder .cart_icon_holder {
  position: relative;
  cursor: pointer;
}

.Header .header_search_holder .cart_icon_holder .circle_badge_holder {
  position: absolute;
  top: -8px;
  right: -10px;
  background: #ee4823;
  color: #fff;
  font-size: 10px;
  padding: 3px 6px;
  border-radius: 50%;
  min-width: 18px;
  text-align: center;
}

/* ================= NAVBAR ================= */
.Header .navbar-toggler {
  border: none;
}

.Header .navbar-toggler:focus {
  box-shadow: none;
}
.Header .desktop_header_search_holder {
  display: block;
}
.Header .mobile_header_search_holder {
  display: none;
}
.Header .header_bottom_nav {
  border-top: 1px solid #ececec;
  border-bottom: 1px solid #ececec;
  background: #fff;
}
.Header .header_nav_menu {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 35px;
}

.Header .header_nav_menu_wrapper {
  overflow-x: auto;
  overflow-y: visible;
  scrollbar-width: none;
}

.Header .header_nav_menu {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 35px;

  min-width: max-content;
}
.Header .mega_nav_item {
  position: relative;
}

.Header .header_nav_link {
  color: #444 !important;
  font-size: 16px;
  font-weight: 600;
  padding: 14px 0 !important;
}

.Header .header_nav_link {
  color: #444 !important;
}
.Header .header_nav_link.active {
  color: #2d2d2d !important;
  padding-bottom: 12px !important;
  border-bottom: 2px solid #ff6b1a;
}
.Header .mega_menu {
  position: absolute;
  top: 100%;
  z-index: 999;
  background: #fff;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.08);
  /* border-top: 1px solid #eee; */
  width: fit-content;
  margin: 0px auto;
}
.Header .mega_menu_wrapper {
  align-items: flex-start;
  box-shadow: 0px 3px 6px #00000029;
  padding: 15px 20px 20px 25px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 3fr));
  gap: 24px;
  max-height: 300px;
  overflow: hidden;
  overflow-y: auto;
  scrollbar-width: none;
}

.Header .mega_menu_wrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 24px;
}

.Header .mega_menu_wrapper:has(> :only-child) {
  grid-template-columns: 1fr;
}

.Header .mega_column {
  max-width: 220px;
  padding: 0px 0px 0px 15px;
}
.Header .mega_column:first-child {
  padding: 0px !important;
}

.Header .mega_column:nth-child(even) {
  background: #fff8f6 !important;
}
.Header .category-list-col {
  max-height: 250px;
  overflow: auto;
}
.Header .category-list-col::-webkit-scrollbar {
  width: 3px;
}
.Header .category-list-col::-webkit-scrollbar-track {
  background: #ffe3dc;
  border-radius: 0px;
}
.Header .category-list-col::-webkit-scrollbar-thumb {
  background: #ff6b1a;
  border-radius: 0px;
}
.Header .category-list-col::-webkit-scrollbar-thumb:hover {
  background: #e85a0c;
}
.Header .mega_column:last-child {
  border-right: none;
}
.Header .mega_column h6 {
  color: #ee4823;
  font-size: 15px;
  font-weight: 600;
  margin-bottom: 10px;
  padding-bottom: 10px;
  border-bottom: 2px solid #f5f5f5;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 1; /* number of lines to show */
  line-clamp: 1;
  -webkit-box-orient: vertical;
}
.Header .mega_column ul {
  list-style: none;
  padding: 0;
  margin: 0;
}
.Header .mega_column ul li {
  margin-bottom: 15px;
  max-width: 200px;
  transition: all 0.4s ease;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2; /* number of lines to show */
  line-clamp: 1;
  max-width: 160px;
  -webkit-box-orient: vertical;
}
.Header .mega_column ul li:hover {
  border-left: 2px solid #2d2d2d;
  padding-left: 10px;
}
.Header .mega_column ul li a {
  text-decoration: none;
  color: #545454;
  font-size: 14px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
  text-wrap-mode: nowrap;
}
.Header .mega_column ul li a:hover {
  color: #2d2d2d;
  font-weight: 600;
}
.Header .mega_banner {
  width: 280px;
  flex-shrink: 0;
}
.Header .mega_banner img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.Header .mobile_menu_btn {
  display: none;
}
/* 
  .search-dropdown-wrapper {
    position: relative;
    width: 100%;
  }

  .search_overlay {
    position: fixed;
    top: 80px; 
    left: 0;
    width: 100%;
    min-height: 250px;
    background: #fff;
    z-index: 9999;

  }

  .search_overlay_content {
    max-width: 600px;
    padding: 30px 20px;
    margin: 0 auto;
  }

  .search_overlay_content h5 {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 4px;
    color: #333;
  }

  .recent_search_list {
    list-style: none;
    padding: 0;
    margin: 0;
  }

  .recent_search_list li {
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 5px 0;
    cursor: pointer;
    border-bottom: 1px solid #f0d6d0;
    color: #555;
    transition: 0.3s;
  }

  .recent_search_list li:hover {
    color: #ff6b1a;
  }

  .recent_icon {
    font-size: 18px;
    color: #777;
  } */

.Header .search-dropdown-wrapper {
  position: relative;
  width: 100%;
}
.Header .search_overlay {
  position: absolute;
  top: calc(100% + 5px);
  left: 0;
  width: 100%;
  background: #fff;
  border: 1px solid #eee;
  border-radius: 8px;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.08);
  z-index: 999;
}
.Header .search_overlay_content {
  padding: 20px;
}
.Header .search_overlay_content h5 {
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 15px;
}
.Header .recent_search_list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.Header .recent_search_list li {
  padding: 12px 0;
  border-bottom: 1px solid #f2f2f2;
  cursor: pointer;
}
.Header .header_nav_menu {
  gap: 25px;
}

/*--------- new -------*/
.Header .navbar-brand {
  flex-shrink: 0;
}

.Header .desktop_header_search_holder {
  flex: 1;
  min-width: 0;
  padding: 0 20px;
}

.Header .header_search_holder {
  width: 75%;
  min-width: 0;
  margin: auto;
}
.Header .header_icon_search_holder {
  flex-shrink: 0;
}
.Header .Header_holder .navbar {
  display: flex;
  width: 100%;
}

.Header .navbar > * {
  min-width: 0;
}
.Header .header_nav_menu_wrapper {
  overflow-x: auto;
  overflow-y: visible;
}

.Header .header_bottom_nav {
  overflow: visible;
}
.Header .mega_nav_item {
  position: static;
}

@media (max-width: 991px) {
  .Header .header_bottom_nav {
    display: none;
  }
  .Header .mobile_menu_btn {
    display: block;
    font-size: 24px;
  }
  .Header {
    padding-bottom: 12px;
  }
  .Header .desktop_header_search_holder {
    display: none;
  }
  .Header .mobile_header_search_holder {
    display: block;
    margin-top: 10px;
  }
  .Header .header_search_holder .search-dropdown-wrapper {
    width: 100%;
  }
  .Header .header_search_holder {
    width: 100%;
  }
  .Header .header_search_holder .search-dropdown-wrapper {
    width: 100%;
  }
  .mobile_direct_link,
  .accordion-button {
    padding: 10px 18px !important;
    font-size: 15px;
    font-weight: 600;
    color: #2d2d2d !important;
    background: #fff !important;
    border: none !important;
    box-shadow: none !important;
  }

  .mobile_direct_link {
    border-bottom: 1px solid #ececec;
    display: flex;
    align-items: center;
  }

  .mobile_direct_link a {
    color: #2d2d2d;
    text-decoration: none;
    width: 100%;
    display: block;
    font-size: 15px;
    font-weight: 600;
  }

  .mobile_direct_link:hover,
  .accordion-button:hover {
    background: #f8f8f8 !important;
  }

  .mobile_direct_link a:hover {
    color: #ff6b1a;
  }
  .offcanvas-body {
    padding: 0 !important;
  }
  .accordion-body {
    padding-top: 5px;
    background: #fff8f6;
  }
  .accordion-button:not(.collapsed) {
    background: #ff6b1a !important;
    color: #fff !important;
    box-shadow: none !important;
  }
  .mobile_menu_column h6 {
    margin: 0;
    color: #ee4823;
    font-size: 14px;
  }

  .accordion-item {
    border: none !important;
  }

  .accordion-button:focus {
    box-shadow: none !important;
    border: none !important;
  }

  .mobile_menu_column ul {
    padding: 5px 10px !important;
    margin-bottom: 0px;
  }

  .mobile_menu_column li {
    list-style: none;
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 6px;
  }
  .mobile_menu_column li a {
    color: #2d2d2d;
    text-decoration: none;
    border-left: 2px solid;
    padding-left: 7px;
  }
  .accordion-button::after {
    filter: invert(52%) sepia(92%) saturate(1722%) hue-rotate(358deg)
      brightness(101%) contrast(101%);
  }
  .accordion-button:not(.collapsed)::after {
    filter: brightness(0) invert(1);
  }
  .offcanvas.show:not(.hiding),
  .offcanvas.showing {
    background: #fff8f6;
  }
}
/*============= RESPONSIVE ================= */
@media (min-width: 0px) and (max-width: 575px) {
  .Header .header_search_holder .search_btn {
    padding: 10px 10px !important;
    font-size: 12px !important;
  }
}
@media (min-width: 0px) and (max-width: 767px) {
  .Header .top_header .top_header_inner {
    flex-direction: column;
    text-align: center;
    gap: 5px;
  }
  .Header .mobile_menu_btn {
    display: block;
    font-size: 22px;
  }

  .Header .header_icon_search_holder .icon_item .icon_label {
    display: none;
  }

  .Header .header_icon_search_holder .icon_item .header_icon {
    font-size: 22px;
  }

  .Header .header_icon_search_holder .icon_item {
    background: transparent;
    height: fit-content;
    padding: 0px;
  }

  .Header .header_icon_search_holder .icon_item:hover {
    background: transparent;
  }

  .Header .header_icon_search_holder .cart_icon_holder .circle_badge_holder {
    top: -2px;
    right: -2px;
    font-size: 10px;
    padding: 1px 5px;
  }

  .Header .header_icon_search_holder {
    gap: 2px;
  }

  .Header .top_header {
    padding: 2px 0;
    font-size: 8px;
  }

  .Header .logo_img_holder {
    height: 55px;
  }

  .Header .header_icon {
    font-size: 16px;
    margin: 0 5px;
  }

  .Header .header_search_holder .search-dropdown-wrapper {
    width: 100%;
  }

  .Header .header_search_holder .search_btn {
    padding: 8px 20px;
    font-size: 14px;
  }

  .Header .header_search_holder .cart_icon_holder .circle_badge_holder {
    right: -6px;
    font-size: 8px;
  }

  .Header .header_search_holder .category_dropdown {
    padding: 6px 4px;
    font-size: 12px;
  }

  .Header .header_search_holder .searchbar_holder .form-control {
    padding: 5px 20px !important;
    font-size: 12px;
  }

  .Header .header_search_holder {
    width: 100%;
    justify-content: center;
  }
  .Header .search_overlay_content h5 {
    font-size: 14px;

    margin-bottom: 0px;
  }
  .Header .recent_search_list li {
    padding: 6px 0;
    font-size: 13px;
  }
  .Header .search_overlay_content {
    padding: 10px;
  }
}
/* MOBILE */
@media (min-width: 768px) and (max-width: 991px) {
  .Header .header_search_holder .searchbar_holder .form-control {
    padding: 5px 20px !important;
  }

  .Header .header_search_holder .category_dropdown {
    padding: 5px 14px;
  }

  .Header .header_icon_search_holder {
    gap: 2px;
  }

  .Header .header_icon_search_holder .icon_item {
    padding: 3px;
  }

  .Header .top_header {
    padding: 2px 0;
    font-size: 10px;
  }

  .Header .header_icon_search_holder .icon_item .header_icon {
    font-size: 17px;
  }
  .Header .header_icon_search_holder .icon_item {
    height: 50px;
    padding: 7px;
  }

  .Header .logo_img_holder {
    height: 55px;
  }

  .Header .header_icon_search_holder .icon_item .icon_label {
    font-size: 10px;
  }
  .Header .header_icon_search_holder .icon_item .second_icon_label {
    margin-top: 5px !important;
    margin-bottom: 0px !important;
  }

  .Header .header_icon_search_holder .cart_icon_holder .circle_badge_holder {
    top: -5px;
    right: -3px;
    font-size: 9px;
    padding: 1px 5px;
  }

  .Header .header_icon {
    font-size: 16px;
    margin: 0 5px;
  }
  .Header .header_search_holder .search_btn {
    padding: 8px 20px;
    font-size: 13px;
  }

  .Header .header_search_holder .cart_icon_holder .circle_badge_holder {
    right: -6px;
    font-size: 8px;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .Header .header_nav_link {
    font-size: 14px;
  }
  .Header .header_nav_menu {
    gap: 18px;
  }
  .Header .header_icon_search_holder .icon_item {
    height: 62px;

    padding: 2px 10px;
  }
}
@media (min-width: 992px) and (max-width: 1499px) {
  .Header .header_search_holder {
    /* width: 100%; */
  }
  .Header .header_search_holder .searchbar_holder .form-control {
    padding: 7px 20px !important;
    font-size: 14px;
  }

  .Header .header_search_holder .search_btn {
    padding: 6px 24px;
    font-size: 15px;
  }
  .Header .header_nav_link {
    font-size: 15px;
  }
  .Header .header_search_holder .category_dropdown {
    padding: 7px 14px;
    font-size: 14px;
  }

  .Header .header_search_holder .search-dropdown-wrapper {
    /* width: 250px; */
  }

  /* .Header .header_icon_search_holder .icon_item {
      height: 50px;
      padding: 8px;
    } */

  .Header .header_icon_search_holder .icon_item .header_icon {
    font-size: 22px;
  }
  .Header .header_icon_search_holder .icon_item .icon_label {
    font-size: 13px;
  }
  .header_nav_menu {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 18px;
  }
}

/* TABLET */
@media (min-width: 577px) and (max-width: 768px) {
  .Header .logo_img_holder {
    height: 55px;
  }

  .Header .header_icon {
    font-size: 18px;
  }

  .Header .header_search_holder .search-dropdown-wrapper {
    width: 100%;
  }
}
